{
	"inputs" : 
	[
		{
			"path" : "CMakeLists.txt"
		},
		{
			"isGenerated" : true,
			"path" : "build/CMakeFiles/3.26.4/CMakeSystem.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeSystemSpecificInitialize.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Platform/Darwin-Initialize.cmake"
		},
		{
			"isGenerated" : true,
			"path" : "build/CMakeFiles/3.26.4/CMakeCCompiler.cmake"
		},
		{
			"isGenerated" : true,
			"path" : "build/CMakeFiles/3.26.4/CMakeCXXCompiler.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeSystemSpecificInformation.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeGenericSystem.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeInitializeConfigs.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Platform/Darwin.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Platform/UnixPaths.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeCInformation.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeLanguageInformation.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Compiler/AppleClang-C.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Compiler/Clang.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Compiler/CMakeCommonCompilerMacros.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Compiler/GNU.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Compiler/CMakeCommonCompilerMacros.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Platform/Apple-AppleClang-C.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Platform/Apple-Clang-C.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Platform/Apple-Clang.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeCommonLanguageInclude.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeCXXInformation.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeLanguageInformation.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Compiler/AppleClang-CXX.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Compiler/Clang.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Platform/Apple-AppleClang-CXX.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Platform/Apple-Clang-CXX.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/Platform/Apple-Clang.cmake"
		},
		{
			"isCMake" : true,
			"isExternal" : true,
			"path" : "/Applications/CMake.app/Contents/share/cmake-3.26/Modules/CMakeCommonLanguageInclude.cmake"
		},
		{
			"path" : "SimpleFactory/CMakeLists.txt"
		},
		{
			"path" : "factoryMethod/CMakeLists.txt"
		},
		{
			"path" : "abstractFactory/CMakeLists.txt"
		},
		{
			"path" : "builder/CMakeLists.txt"
		},
		{
			"path" : "singleton/CMakeLists.txt"
		},
		{
			"path" : "clone/CMakeLists.txt"
		},
		{
			"path" : "proxy/CMakeLists.txt"
		},
		{
			"path" : "bridge/CMakeLists.txt"
		},
		{
			"path" : "decorator/CMakeLists.txt"
		},
		{
			"path" : "adapter/CMakeLists.txt"
		},
		{
			"path" : "facade/CMakeLists.txt"
		},
		{
			"path" : "composite/CMakeLists.txt"
		},
		{
			"path" : "flyweight/CMakeLists.txt"
		},
		{
			"path" : "observer/CMakeLists.txt"
		},
		{
			"path" : "template/CMakeLists.txt"
		},
		{
			"path" : "strategy/CMakeLists.txt"
		},
		{
			"path" : "chainOfResponsibility/CMakeLists.txt"
		},
		{
			"path" : "state/CMakeLists.txt"
		},
		{
			"path" : "iterator/CMakeLists.txt"
		},
		{
			"path" : "visitor/CMakeLists.txt"
		},
		{
			"path" : "memento/CMakeLists.txt"
		},
		{
			"path" : "command/CMakeLists.txt"
		},
		{
			"path" : "interpreter/CMakeLists.txt"
		},
		{
			"path" : "mediator/CMakeLists.txt"
		}
	],
	"kind" : "cmakeFiles",
	"paths" : 
	{
		"build" : "/Users/moye/code/Design/build",
		"source" : "/Users/moye/code/Design"
	},
	"version" : 
	{
		"major" : 1,
		"minor" : 0
	}
}
